const path = require('path');
let currentDir=process.cwd();
module.exports = {
  entry: currentDir+'/src/main.ts',
 devtool: 'source-map',
  module: {
    rules: [
      {
        test: /\.ts?$/,
        use: 'ts-loader',
        exclude: /node_modules/,
      },
    ],
  },
  resolve: {
    extensions: [ '.tsx', '.ts', '.js' ],
  },
  output: {
    filename: 'bundle.js',
    path: path.resolve(currentDir, 'dist'),
  },
};